PT-3600

FAQs & Troubleshooting

FAQs & Troubleshooting

I cannot select my printer in P-touch Editor. (P-touch Editor 5.x for Mac)

The version of P-touch Editor you can use varies depending on your model.

This issue happens if you are not using the correct version for your model.

Download and install the latest P-touch Editor from the [Downloads] section in your model's page.

If your question was not answered, have you checked other FAQs?

Have you checked manuals?

If you need further assistance, please contact Brother customer service:

Related Models

PT-2700, PT-2730, PT-3600, PT-9500PC, PT-9600, PT-9700PC, PT-9800PCN, PT-D450, PT-D600, PT-D800W, PT-E500, PT-E550W, PT-P700, PT-P710BT, PT-P750W, PT-P900W, PT-P950NW, QL-1050, QL-1050N, QL-1060N, QL-1100, QL-1110NWB, QL-500, QL-550, QL-570, QL-580N, QL-650TD, QL-700, QL-720NW, QL-800, QL-810W, QL-820NWB, VC-500W

Content Feedback

To help us improve our support, please provide your feedback below.

Step 1: How does the information on this page help you?

Step 2: €Are there any comments you would like to add?

Please note this form is used for feedback only.